Четыре уязвимости обнаружили в прошивке промышленных коммутаторов Phoenix Contact исследователи из Positive Technologies. Две из них имеют критический уровень опасности, а одна оценивается как серьезная. Под угрозой оказались три линейки коммуникационного оборудования немецкого производителя.

Баги закрались в программное обеспечение коммутаторов FL SWITCH серий 3xxx, 4xxx и 48xxx. Уязвимыми оказались все релизы прошивки от 1.0 до 1.33 включительно. Производитель уже выпустил заплатку и настоятельно рекомендует своим клиентам обновиться до версии 1.34.

Наиболее серьезную проблему представляет собой CVE-2018-10730. Как сообщает Phoenix Contact, злоумышленник с правами на обновление прошивки или загрузку файлов конфигурации может удаленно выполнять произвольные команды оболочки на устройстве. Достаточно внедрить их в заголовки веб-запросов к программам config_transfer.cgi и software_update.cgi.

Баг получил 9,1 балла по методике CVSS. Результатом атаки может стать запуск вредоносных скриптов в рамках операционной системы коммутатора. В частности, проэксплуатировав уязвимость, киберпреступник способен отключить от сети предприятия сегмент, который обслуживается устройством.

Не менее серьезную угрозу представляет ошибка CVE-2018-10731. Она связана с переполнением буфера, которое вызывают слишком длинные куки. В результате злоумышленник может получить несанкционированный доступ к прошивке и выполнить на коммутаторе произвольный код.

Специалисты присвоили 8,1 балла уязвимости CVE-2018-10728, которая способна стать причиной отключения Telnet и Web-сервисов скомпрометированных устройств. Вызвать ошибку можно при помощи запросов типа GET к скриптам menu_pxc.cgi и index.cgi. Добавив в них вредоносный куки-файл, злоумышленник может вызвать отказ в обслуживании коммутатора или выполнить на нем сторонний код.

Еще один баг дает преступнику возможность получить доступ к содержимому конфигурационных файлов устройства при помощи манипуляций с системой авторизации. Как отмечает производитель, чтобы открыть информацию о настройках оборудования в окне своего браузера, злоумышленнику не требуется успешный вход в учетную запись.

Предыдущий релиз прошивки уязвимых устройств компания Phoenix Contact также выпустила в качестве заплатки. В январе 2018 года производитель был вынужден обновить операционную систему этих же коммутаторов до версии 1.33, чтобы пропатчить две уязвимости. Одна из них получила рейтинг 9,8 баллов и позволяла взламывать программное обеспечение устройств при помощи HTTP-запросов.

Категории: Главное, Уязвимости